package xyz.leomurca.csgomatches.data.remote

import retrofit2.Response
import retrofit2.http.GET
import retrofit2.http.Query
import xyz.leomurca.csgomatches.data.model.MatchDto
import xyz.leomurca.csgomatches.data.model.TeamDetailsDto
import xyz.leomurca.csgomatches.utils.ApiDefaults.ITEMS_PER_PAGE
import xyz.leomurca.csgomatches.utils.ApiDefaults.MATCH_FILTER_STATUS
import xyz.leomurca.csgomatches.utils.ApiDefaults.MATCH_FINISHED
import xyz.leomurca.csgomatches.utils.ApiDefaults.MATCH_SORT

interface MatchesApiService {

    @GET("matches")
    suspend fun upcomingMatches(
        @Query("filter[status]") filterStatus: String = MATCH_FILTER_STATUS,
        @Query("finished") finished: Boolean = MATCH_FINISHED,
        @Query("sort") sort: String = MATCH_SORT,
        @Query("per_page") perPage: Int = ITEMS_PER_PAGE,
        @Query("page") page: Int,
    ): Response<List<MatchDto>>

    @GET("teams")
    suspend fun teamDetails(
        @Query("filter[id]") id: String
    ): Response<List<TeamDetailsDto>>
}