package xyz.leomurca.csgomatches.ui.navigation

import androidx.navigation.NavGraphBuilder
import androidx.navigation.compose.composable
import androidx.navigation.toRoute
import kotlinx.serialization.Serializable
import xyz.leomurca.csgomatches.domain.model.MatchStatus
import xyz.leomurca.csgomatches.ui.screens.matchdetails.MatchDetailsScreen

@Serializable
data class MatchDetailsRoute(
    val leftOpponentId: Long,
    val rightOpponentId: Long,
    val leagueAndSerieName: String,
    val scheduleString: String,
    val matchStatus: MatchStatus
)

fun NavGraphBuilder.matchDetailsScreen(onBackClick: () -> Unit) {
    composable<MatchDetailsRoute> {
        val matchDetails: MatchDetailsRoute = it.toRoute()
        MatchDetailsScreen(matchDetails = matchDetails, onBackClick = onBackClick)
    }
}
